;;; Comparisons and conditional execution
lvars x = 5, y = 7, z;

;;; Testing equality and inequality of values
printf(x = 5, 'x = 5 is %p,  ');
printf(y /= 7, 'y = 7 is %p\n');

printf(x < y, 'x < y is %p,  ');
printf(x > y, 'x > y is %p\n');

;;; Assignment of logical value to a variable
x >= 6 -> z;
printf(z, 'z = %p\n');

;;; Boolean operations
printf(z or x = y, 'z or x = y is %p\n');
printf(not(z) and x <= y, 'not(z) and x <= y is %p\n');

;;; Conditional execution
if x <= 6 then 
  printf('x <= 6 is true\n');
else
  printf('x <= 6 is not true');
endif;

;;; Can omit 'else'
if z then
  printf('z is true\n');
endif;

;;; Can build cascaded conditionals
if z then
  printf('z is true\n');
elseif x <= 6 then
  printf('x <= 6 is true\n');
else
  printf('something else\n');
endif;


