;;; For loops and arrays
lvars i, j;

;;; Initialize 'arr' to be an array with indices ranging from
;;; 1 to 5
lvars arr = newarray([1 5]);

;;; Print info about it (contains undefined values)
printf(arr, 'arr = %p\n');

printf('Elements: ');
for i from 1 to 4 do
  printf(arr(i), '%p, ');
endfor;
printf(arr(5), '%p\n');


;;; Fill the array with arithmetic progression
for i from 1 to 5 do
  i -> arr(i);
endfor;

printf(arr, 'Now elements: ');
for i from 1 to 4 do
  printf(arr(i), '%p, ');
endfor;
printf(arr(5), '%p\n');

;;; Throw out the old array and make a new one, with indices from 
;;; -5 to 5
newarray([-5 5]) -> arr;

;;; Fill some elements
for i from -5 by 2 to 5 do
  i -> arr(i);
endfor;

printf('Elements of new arr: ');
for i from -5 to 5 do
  if i /= 5 then
    printf(arr(i), '%p, ');
  else
    printf(arr(5), '%p\n');
  endif;
endfor;

