/*
  Recursive generation of permutations.
*/

/*
  Procedure genperms.
  Goal: generate all permutations of the set 1..k and on each of them apply p
*/

define genperms(k, p);
   lvars k, t, i;
   for i from 1 to k do i; endfor;
   consvector(k) -> t;
   define lconstant genperms1(j);
   lvars i1;
   if j = 1 then
     p(t);
   else
     for i1 from 1 to j do
       (t(i1), t(j)) -> (t(j), t(i1));
       genperms1(j - 1);
       (t(i1), t(j)) -> (t(j), t(i1));
     endfor;
   endif;      
   enddefine;
   genperms1(k);
enddefine;

genperms(4, printf(% '%p\n' %));
